Skip to main content
POST
/
preview
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
targeting
/
deal-ids
/
disable
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids/disable
curl --request POST \
  --url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids/disable \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {},
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-set-id
string
required

Id of the Ad Set

Response

200 - application/json

the errors/warnings if any

Represents an API response message containing the usual outcome fields (warnings+errors), and a valueResource data, i.e. data is not an entity (no id). This can be used for association objects.

data
object

A class that represents a ValueType in a guild compliant way

errors
object[] | null
read-only
warnings
object[] | null
read-only